:root{
    --darkColor:#0a274c;
    --blueColor:#3A8FFD;
    --grayColor:#e7ebf1;
    --transition:all 0.3s ease-in-out;
}
body{
    margin: 0px;
    padding:0px;
    font-family: 'Nunito', sans-serif;
    font-size: 14px;
    line-height: 24px;
    background-color: #f8f8f8;
    color: #9e9e9e;
}
a,a:hover{
    color: inherit;
    text-decoration: none;
}
.bg-blue {
    background-color: var(--blueColor);
}
.bg-red {
    background-color: #ff6f6f;
}
.bg-primary-gradient {
    background-image: linear-gradient(to left, #0db2de 0%, #005bea 100%) !important;
}
.bg-danger-gradient {
    background-image: linear-gradient(45deg, #f93a5a, #f7778c) !important;
}
.bg-success-gradient {
    background-image: linear-gradient(to left, #48d6a8 0%, #029666 100%) !important;
}
.bg-warning-gradient {
    background-image: linear-gradient(to left, #efa65f, #f76a2d) !important;
}
.ad_btn.bg-primary-gradient:hover,.ad_btn.bg-danger-gradient:hover,.ad_btn.bg-success-gradient:hover,.ad_btn.bg-warning-gradient:hover{
    background-position: 170px;
}



.plr_notification {
   opacity: 0;
   visibility: hidden;
   position: fixed;
   -webkit-transform: translateY(-100%);
   -moz-transform: translateY(-100%);
   transform: translateY(-100%);
}
.plr_success_msg {
   position: fixed;
   right: 20px;
   top: 20px;
   border-radius: 6px;
   background: var(--white);
   padding: 10px 20px;
   z-index: 9999;
   border: solid 1px #e8f4fc;
   box-shadow: 0px 0px 45px 15px rgb(16 40 132 / 10%);
   opacity: 1 !important;
   visibility: visible !important;
   -webkit-transition: all 0.2s cubic-bezier(0.65, 0.05, 0.36, 1);
   -moz-transition: all 0.2s cubic-bezier(0.65, 0.05, 0.36, 1);
   transition: all 0.2s cubic-bezier(0.65, 0.05, 0.36, 1);
   -webkit-transform: translateY(0%);
   -moz-transform: translateY(0%);
   transform: translateY(0%);
}
.plr_success_msg:after {
   position: absolute;
   content: "";
   top: 0;
   left: -1px;
   bottom: 0;
   width: 6px;
   height: 50px;
   margin: auto;
   border-radius: 0px 30px 30px 0px;
   background-color: var(--success);
}
.plr_success_msg.plr_toster_open {
   opacity: 1;
   visibility: visible;
   -webkit-transform: translateY(0%);
   -moz-transform: translateY(0%);
   transform: translateY(0%);
}
.plr_close_icon {
   position: absolute;
   top: 0px;
   right: 5px;
}
.plr_close_icon span {
   font-weight: 500;
   font-size: 20px;
   cursor: pointer;
}
.plr_success_flex {
   display: flex;
  align-items: center;
}
.plr_happy_img {
   width: 60px;
}
.plr_yeah {
   width: 230px;
}
.plr_yeah h5 {
   font-weight: 600;
   font-size: 16px;
}
.plr_yeah p {
   font-weight: 400;
   font-size: 16px;
}
.plr_error_msg {
   position: fixed;
   right: 20px;
   top: 20px;
   border-radius: 10px;
   background: var(--white);
   padding: 10px 20px;
   z-index: 9999;
   border: solid 1px #e8f4fc;
   box-shadow: 0px 0px 45px 15px rgb(16 40 132 / 10%);
   opacity: 1 !important;
   visibility: visible !important;
   -webkit-transition: all 0.2s cubic-bezier(0.65, 0.05, 0.36, 1);
   -moz-transition: all 0.2s cubic-bezier(0.65, 0.05, 0.36, 1);
   transition: all 0.2s cubic-bezier(0.65, 0.05, 0.36, 1);
   -webkit-transform: translateY(0%);
   -moz-transform: translateY(0%);
   transform: translateY(0%);
}
.plr_error_msg:after {
   position: absolute;
   content: "";
   top: 0;
   left: -1px;
   bottom: 0;
   width: 6px;
   height: 50px;
   margin: auto;
   border-radius: 0px 30px 30px 0px;
   background-color: var(--primary);
}
.plr_error_msg.plr_toster_open {
   opacity: 1;
   visibility: visible;
   -webkit-transform: translateY(0%);
   -moz-transform: translateY(0%);
   transform: translateY(0%);
}
.plr_error_msg .plr_yeah h5 {
   font-weight: 600;
   font-size: 16px;
}
.plr_hide {
  display: none;
}
.sc_hide {
  display: none;
}
/* success msg */

/* error msg */
.plr_response {
   position: fixed;
   bottom: 20px;
   right: 20px;
   z-index: 100;
   padding: 10px 25px;
   border-radius: 10px;
  display: none;
   font-weight: 500;
  background: #3e3c55;
  color: var(--white);
   animation: zoom 0.1s linear;
}
.plr_response.mt_error {
   background: #ff3a3a;
   color: var(--white);
  display: block;
}
.plr_response.mt_success {
   background: #47aa4b;
   color: var(--white);
  display: block;
}
/* error msg */

/* alert wrapper */
span.error {
   position: absolute;
   bottom: -6px;
   font-weight: 600;
   left: 20px;
   color: #ff3a3a;
   padding: 5px 20px;
   border-radius: 5px;
   font-size: 14px;
   z-index: 1;
}

/* alert wrapper */

.ad_minWidth170{
    min-width: 170px;
}
.ad_btn {
    height: 45px;
    max-width: 170px;
    width: 100%;
    border: none;
    color: #fff;
    border-radius: 8px;
    outline: none !important;
    font-weight: 600;
    text-transform: capitalize;
    transition: var(--transition);
    -webkit-transition: var(--transition);
    -moz-transition: var(--transition);
    -ms-transition: var(--transition);
    -o-transition: var(--transition);
}
.ad_btn:hover {
    background-color: #005dea;
    box-shadow: 0 15px 20px rgb(0 0 0 / 0.1);
}
.ad_btn.ad_hollowBtn {
    border: 1px solid #555;
    color: #555;
    background-color: transparent;
}
.ad_colorWhite{
    color: #ffffff !important;
}
.ad_m0{
    margin: 0px;
}
.ad_mTop10{
    margin-top: 10px;
}
.ad_mTop15{
    margin-top: 15px;
}
.ad_mTop20{
    margin-top: 20px;
}
.ad_mTop30{
    margin-top: 30px;
}
.ad_mTop40{
    margin-top: 40px;
}
.ad_mTop50{
    margin-top: 50px;
}
.ad_mTop60{
    margin-top: 60px;
}
.ad_mTop70{
    margin-top: 70px;
}
.ad_mTop80{
    margin-top: 80px;
}
.ad_mTop90{
    margin-top: 90px;
}
.ad_mTop100{
    margin-top: 100px;
}
.ad_mBottom5{
    margin-bottom: 5px;
}
.ad_mBottom10{
    margin-bottom: 10px;
}
.ad_mBottom20{
    margin-bottom: 20px;
}
.ad_mBottom30{
    margin-bottom: 30px;
}
.ad_mBottom40{
    margin-bottom: 40px;
}
.ad_mBottom50{
    margin-bottom: 50px;
}
.ad_mBottom60{
    margin-bottom: 60px;
}
.ad_mBottom70{
    margin-bottom: 70px;
}
.ad_mBottom80{
    margin-bottom: 80px;
}
.ad_mBottom90{
    margin-bottom: 90px;
}
.ad_mBottom100{
    margin-bottom: 100px;
}

.ad_mRight10{
    margin-right: 10px;
}
.ad_mLeft10{
    margin-left: 10px;
}
.ad_subheading {
    font-size: 18px;
    font-weight: 700;
    color: var(--darkColor);
    margin-bottom: 25px;
}
.ad_subheading1 {
    font-size: 16px;
    font-weight: 700;
    color: var(--darkColor);
    margin-left: 10px;
}
.form-control {
    height: 45px;
    border-radius: 8px;
    border-color: var(--grayColor);
    font-size: 14px;
    color:#9e9e9e;
    outline: none;
    box-shadow: none !important;
}
.form-control::placeholder{
    color: #9e9e9e;
}
textarea.form-control {
    height: 100px;
    resize: none;
}
.apexcharts-series path {
    stroke: var(--blueColor);
}
.ad_label {
    display: inline-flex;
    margin: 0;
}
/* checkbox */
.ad_checkBox_wrapper {
    display: flex;
    align-items: center;
}
.ad_checkBox>span {
    width: 18px;
    height: 18px;
    border: 1px solid var(--grayColor);
    display: inline-flex;
    border-radius: 3px;
    position: relative;
    cursor: pointer;
}

.ad_checkBox {
    align-items: center;
    margin-bottom: 0;
    display: inline-flex;
    cursor: pointer;
}
.ad_checkBox>span:before {content: '';position: absolute;width: 10px;height: 4px;border-width: 0 0 1px 1px;border-style: solid;transform: rotate(-45deg) scale(0);border-color: var(--blueColor);left: 3.3px;top: 5px;transition: var(--transition);
    -webkit-transition: var(--transition);
    -moz-transition: var(--transition);
    -ms-transition: var(--transition);
    -o-transition: var(--transition);}

.ad_checkBox>input:checked + span:before {
    transform: rotate(-45deg) scale(1);
}
.ad_radioBox>span{
    border-radius: 100%;
}
.ad_radioBox>span:before{
    border: none;
    width: 8px;
    height: 8px;
    border-radius: 8px;
    background-color: var(--blueColor);
    left: 4px;
    top: 4px;
}
/* toggle */
.ad_toggle>span {
    width: 35px;
    height: 13px;
    border-radius: 15px;
    background-color: var(--grayColor);
}
.ad_toggle>span:before {
    transform: scale(1);
    width: 17px;
    height: 17px;
    border: none;
    background-color: #afb6c1;
    border-radius: 100%;
    top: -3px;
    left: -1px;
}
.ad_toggle>input:checked + span:before {
    transform: none;
    left: auto;
    right: -1px;
    background-color: var(--blueColor);
}

.ad_toggle>input:checked + span {
    background-color: #57a0fd6b;
}
/* topbar */
.admin_header {
    position: fixed;
    background-color: #fff;
    padding: 18px 30px; 
    left: 0;
    right: 0;
    top: 0;
    box-shadow: 0 0 20px rgb(0 0 0 / 6%);
    z-index: 99;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.admin_header h1 {
    font-size: 22px;
    font-weight: 700;
    margin: 0;
    display: inline-flex;
    padding-left: 30px;
    color:var(--darkColor);
}
.ad_headerLeft {
    display: flex;
    align-items: center;
}
.ad_headerLeft>span{
    cursor: pointer;
}
.ad_profile_wrapper>span {
    display: flex;
    align-items: center;
}
.ad_profile_wrapper>span>img {
    border-radius: 100%;
    height: 50px;
    width: 50px;
}

.ad_profile_wrapper {
    position: relative;
    padding-right: 22px;
    cursor: pointer;
}

.ad_profile_wrapper:after {content: '';position: absolute;width: 7px;height: 7px;border-width: 0 0 2px 2px;border-style: solid;border-color: #ddd;transform: rotate(-45deg);right: 0;top: 21px;}
.plr_profile_title {
    display: flex;
    align-items: center;
    margin-bottom: 30px;
}
.profile_form {
    max-width: 900px;
    margin: 50px auto 0;
}
.card.sc_profile_section {
    border: none;
}
.card-header:first-child {
    border-bottom: 1px solid #efefef;
    background-color: #ffffff;
}
.sc_profile_section h4 {
    color: var(--darkColor);
    font-weight: 700;
    font-size: 18px;
}
.plr_profileimg {
    position: relative;
    width: 83px;
    height: 83px;
    background: #e5e5e5;
    display: inline-flex;
    border-radius: 50px;
    justify-content: center;
    align-items: center;
    text-transform: uppercase;
    color: #ffffff;
    font-size: 16px;
    margin-right: 25px;
}
.plr_profileimg img {
    width: 80px;
    height: 80px;
    border-radius: 100px;
    object-fit: cover;
    padding: 3px;
}
.plr_profile_title h5 {
    color: var(--darkColor);
    font-weight: 600;
    font-size: 18px;
}
.plr_profile_title p {
    margin: 0;
}
.plr_uploade_label span {
    position: absolute;
    bottom: -10px;
    width: 30px;
    height: 30px;
    background-color: var(--primary);
    border-radius: 50px;
    right: 0;
    cursor: pointer;
    left: 0;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}
.plr_uploade_label svg {
    fill: #ffffff;
    width: 18px;
}
.plr_fileupload {
    opacity: 0;
    height: 30px;
    width: 170px;
    cursor: pointer;
    bottom: -45px;
    position: absolute;
    left: -43px;
    font-size: 0;
}
.ad_profileDropdown {
    position: absolute;
    top: 100%;
    right: 0;
    margin-top: 20px;
    display: none;
}

.ad_profileDropdown>ul {
    margin: 0;
    padding: 10px 0;
    list-style: none;
    background-color: #fff;
    border-radius: 10px;
    width: 200px;
    box-shadow: 0 0 20px rgb(0 0 0 / 0.04);
}

.ad_profileDropdown>ul>li {
    padding: 5px 15px;
    color: var(--darkColor);
    font-weight: 600;
    transition: var(--transition);
    -webkit-transition: var(--transition);
    -moz-transition: var(--transition);
    -ms-transition: var(--transition);
    -o-transition: var(--transition);
}
.ad_profileDropdown>ul>li:hover{
    color: var(--blueColor);
}
.ad_headerRight {
    display: flex;
    align-items: center;
}

button.close {
    position: absolute;
    top: 10px;
    right: 10px;
    border-radius: 50%;
    background-color: rgb(235, 232, 241);
    width: 26px;
    height: 26px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    opacity: 1;
    color: #afafaf;
    outline: none;
}
.modal-dialog {
    max-width: 600px;
}
.modal-header {
    padding: 20px 30px;
}
.modal-body {
    padding: 30px 30px 10px;
}
.modal-footer {
    justify-content: left;
    padding: 0px 30px 30px;
    border-top: none;
}
.ad-btm-space {
    margin-bottom: 30px;
}
.modal-content.plr_delete_modal {
    text-align: center;
    border-radius: 15px;
}
.modal-content.plr_delete_modal h4 {
    margin: 40px 0 20px;
    text-transform: capitalize;
    color: var(--darkColor);
    font-weight: 600;
    font-size: 20px;
}
.modal-content.plr_delete_modal .modal-footer {
    justify-content: center;
}
/* notification */
.ad_notification>span {
    position: relative;
    cursor: pointer;
}

.ad_notification>span>span {
    position: absolute;
    line-height: 12px;
    width: 12px;
    background-color: var(--blueColor);
    color: #fff;
    font-size: 9px;
    text-align: center;
    border-radius: 100%;
    right: 0px;
}
.ad_notification>span svg {
    width: 20px;
    fill: var(--darkColor);
}
.ad_notification {
    padding: 0 20px 0 0;
}
/* width */
::-webkit-scrollbar {
    width: 4px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    background: #f1f1f1;
  }
  
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background:  var(--blueColor);
  }
/* add btn */
  .ad_addActions>span {
    width: 45px;
    height: 45px;
    background-color: var(--blueColor);
    display: inline-flex;
    color: #fff;
    border-radius: 10px;
    font-size: 25px;
    margin: 0 10px 0 0;
    box-shadow: 0 10px 20px rgb(58 143 253 / 0.15);
    cursor: pointer;
    transition: var(--transition);
    -webkit-transition: var(--transition);
    -moz-transition: var(--transition);
    -ms-transition: var(--transition);
    -o-transition: var(--transition);
    line-height: 43px;
    justify-content: center;
}
.ad_addActions>span:last-child {
    margin-right: 0;
}

.ad_addActions>span:hover {
    background-color: #005dea;
}
/* sidebar */
.admin_sidebar {
    position: fixed;
    left: -100px;
    top: 86px;
    width: 100px;
    bottom: 0;
    background-color: #fff;
    box-shadow: 0 20px 20px rgb(0 0 0 / 6%);    
    transition: var(--transition);
    -webkit-transition: var(--transition);
    -moz-transition: var(--transition);
    -ms-transition: var(--transition);
    -o-transition: var(--transition);
    overflow-y: auto;
}
.ad_mainMenuOpen .admin_sidebar{
    left: 0;
}

.admin_sidebar ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.admin_sidebar ul>li>a {
    text-align: center;
    padding: 20px 15px;
    border-bottom: 1px solid #f0f2ff;
    transition: var(--transition);
    -webkit-transition: var(--transition);
    -moz-transition: var(--transition);
    -ms-transition: var(--transition);
    -o-transition: var(--transition);
    display:flex;
    outline: none;
    flex-direction: column;
}
.admin_sidebar ul>li svg{
    fill:var(--blueColor);
} 
.admin_sidebar ul>li h5 {
    font-size: 14px;
    margin: 10px 0 0 0;
    color: var(--darkColor);
}
.admin_sidebar ul>li.ad_active {
   background-image: linear-gradient(to left, #0db2de 0%, #005bea 100%) !important;
}
.admin_sidebar ul>li.ad_active h5,.admin_sidebar ul>li.ad_active:hover h5{
    color: #fff;
}
.admin_sidebar ul>li:hover h5{
    color: var(--blueColor);
}
.admin_sidebar ul>li.ad_active svg {
    fill: #fff;
}
.ad_main_menu {
    position: relative;
    z-index: 1;
    background-color: #fff;
}
/* submenu */
.ad_sub_menu {
    position: fixed;
    left: -200px;
    top: 86px;
    width: 200px;
    background-color: #fff;
    bottom: 0;
    border-left: 1px solid var(--grayColor);
    border-radius: 0 15px 15px 0;   
    transition: var(--transition);
    -webkit-transition: var(--transition);
    -moz-transition: var(--transition);
    -ms-transition: var(--transition);
    -o-transition: var(--transition);
}
.ad_submenuOpen .ad_sub_menu{
    left: 99px;
}

.ad_sub_menu>ul>li>a {
    display: flex;
    border: none;
    padding: 10px 15px 10px 30px;
    text-align: left;
    text-transform: capitalize;
    color: var(--darkColor);
    position: relative;
}

.ad_sub_menu>ul>li>a:before {content: '-';position: absolute;left: 12px;top: 8px;}

.ad_sub_menu>ul {
    padding: 20px 0;
}

.ad_sub_menu>ul>li>a:hover {
    padding-left: 35px;
    color: var(--blueColor);
}
/* main */
.admin_main {
    margin: 138px 50px 50px 50px;    
    transition: var(--transition);
    -webkit-transition: var(--transition);
    -moz-transition: var(--transition);
    -ms-transition: var(--transition);
    -o-transition: var(--transition);
}
.ad_mainMenuOpen .admin_main {
    margin: 138px 50px 50px 145px;
}
.ad_submenuOpen .admin_main{
    margin: 138px 50px 50px 345px;
}

/* dashboard box */
.ad_dashboardBox {
    background-color: #fff;
    border-radius: 15px;
    padding: 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0 0 20px rgb(26 115 232 / 4%);
    color: var(--darkColor);
    transition: var(--transition);
    -webkit-transition: var(--transition);
    -moz-transition: var(--transition);
    -ms-transition: var(--transition);
    -o-transition: var(--transition);
    position: relative;
    cursor: pointer;
}
.ad_dashboardBox_wrapper .col {
    min-width: 290px;
    max-width: 290px;
}

.ad_dashboardBox:hover {
    box-shadow: 15px 10px 30px 0 rgb(0 0 0 / 6%);
    transform: translateY(-5px);
}

.ad_dashboardBox p {
    margin: 0;
}

.ad_dashboardBox h3 {
    color: inherit;
    font-weight: 700;
    font-size: 25px;
    margin: 0;
}

.ad_dashboardBox svg {
    fill: var(--blueColor);
    opacity: 0.1;
    position: absolute;
    width: 100px;
    height: 100%;
    top: 0;
    right: 26px;
}
.ad_colorWhite svg {
    fill:#ffffff
}
/* table  */
.ad_table {
    box-shadow: 0 10px 20px rgb(26 115 232 / 4%);
    border-radius: 10px;
}
.ad_table tr th {
    border: none;
    background-color: var(--grayColor);
    color: var(--darkColor);
    padding: 18px 20px;
}

.ad_table tr th:first-child {
    border-radius: 10px 0 0 0;
}

.ad_table tr th:last-child {
    border-radius: 0 10px 0 0;
}

.ad_table tr td {
    padding: 18px 20px;
    background-color: #fff;
    border-color: var(--grayColor);
    color: #888888;
    vertical-align: middle;
}

.ad_table tr:last-child td:first-child {
    border-radius: 0 0 0 10px;
}

.ad_table tr:last-child td:last-child {
    border-radius: 0 0 10px 0;
}
/* style2 */
.ad_table.style2 {
    border-spacing: 0 6px;
    border-collapse: separate;
    box-shadow: none;
}

.ad_table.style2 td {
    border: none;
    padding: 15px 20px;
}

.ad_table.style2 th {
    padding: 15px 20px;
}

.ad_table.style2 td:first-child,.ad_table.style2 th:first-child {
    border-radius: 10px 0 0 10px !important;
}

.ad_table.style2 td:last-child,.ad_table.style2 th:last-child {
    border-radius: 0 10px 10px 0 !important;
}

.ad_table.style2 tr {
    box-shadow: 0 10px 20px rgb(26 115 232 / 4%);
    border-radius: 10px;
}
/* pagination */
div.dataTables_wrapper div.dataTables_paginate ul.pagination {
    margin: 0;
    justify-content: end;
}

div.dataTables_wrapper div.dataTables_paginate ul.pagination a.page-link {
    border-radius: 35px;
    margin: 0 0 0 6px;
    border-color: var(--grayColor);
    color: #888;
}

div.dataTables_wrapper div.dataTables_paginate ul.pagination .page-item.active a.page-link {
    color: #fff;
    background-image: linear-gradient(to left, #0db2de 0%, #005bea 100%) !important;
}
.ad_datatable_wrapper .ad_subheading {
    margin: 0;
    font-size: 16px;
}
.ad_actions>span {
    display: inline-flex;
    margin: 0 3px;
    cursor: pointer;
}

.ad_actions>span svg {
    width: 15px;
    fill: #888;
}
.ad_actions>span:hover svg{
    fill:var(--blueColor)
}
.ad_actions {
    text-align: center;
}
/* search  */
.ad_search_wrapper {
    max-width: 500px;
    width: 100%;
    position: relative;
    display: inline-flex;
}
.ad_search_wrapper>span {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
}
input.form-control.ad_datatableSearch {
    padding: 0 30px 0 10px;
}
.ad_search_wrapper>span svg {
    fill: #d8dce2;
    width: 12px;
}
.dataTables_length,div.dataTables_wrapper div.dataTables_filter {
    display: none;
}
/* form */
.sc_checkbox_wrapper .checkbox {
    display: inline-block;
    margin-right: 15px;
}
.sc_checkbox_wrapper .checkbox label {
    margin: 0 0 0 2px;
}
.ad_box {
    box-shadow: 0 0 20px rgb(26 115 232 / 4%);
    background-color: #fff;
    border-radius: 10px;
    padding:30px;
}
/* upload  */
.ad_upload>span {
    padding: 0 15px;
    text-transform: capitalize;
    line-height: 44px;
    display: block;
}

.ad_upload.form-control {
    padding: 0;
    position: relative;
    cursor: pointer;
}
.ad_upload.form-control:after {content: 'Upload';position: absolute;right: -1px;top: -1px;bottom: -1px;background-image: linear-gradient(to left, #0db2de 0%, #005bea 100%) !important;color: #fff;border-radius: 0 8px 8px 0;line-height: 44px;padding: 0 22px;}

/* select */
.select2-container--default .select2-selection {
    border-radius: 8px;
    border-color: var(--grayColor);
    font-size: 14px;
    color: #9e9e9e;
    outline: none;
}
.select2-container--default .select2-selection--single {
    height: 45px;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 44px;
    padding: 0 30px 0 15px;
}
.select2-container--default  .select2-selection__arrow {
    height: auto !important;
    bottom: 1px;
    right: 10px !important;
}

.select2-dropdown {
    border-color: var(--grayColor);
    border-radius: 0 0 8px 8px;
    box-shadow: 0 7px 10px rgb(0 0 0 / 4%);
}
.select2-search--dropdown {padding: 8px 15px;}

.select2-container--default .select2-search--dropdown .select2-search__field {
    border-color: var(--grayColor);
    border-radius: 8px;
    height: 34px;
    outline: none;
    padding:0 15px;
}
.select2-results__option {
    border-top: 1px solid var(--grayColor);
    text-transform: capitalize;
    padding: 7px 15px;
    border-radius: 0 0 8px 8px;
}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: transparent;
    color: var(--blueColor);
}
.select2-container--open .select2-dropdown {
    border-color: var(--blueColor);
}
.select2-container--open .select2-dropdown--above {
    border-radius: 8px 8px 0 0;
    box-shadow: 0 -7px 10px rgb(0 0 0 / 4%);
}
.select2-container--open .select2-selection {
    border-color: var(--blueColor);
}
.select2-container--open.select2-container--below .select2-selection {
    border-bottom-color:var(--grayColor) !important;
}
.select2-container--open.select2-container--above .select2-selection {
    border-top-color:var(--grayColor) !important;
}
.select2-container--default.select2-container--focus .select2-selection--multiple{
    border-color: var(--blueColor);
    min-height: 45px;
}
.select2-container--default .select2-search--inline .select2-search__field {
    min-height: 33px;
    margin-left: 15px;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-image: linear-gradient(to left, #0db2de 0%, #005bea 100%) !important;
    color: #fff;
    text-transform: capitalize;
    padding: 0 10px 0 0;
    border: none;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice .select2-selection__choice__remove {
    background-color: transparent;
    color: #fff;
    margin-right: 10px;
    padding: 0 8px;
    border-color: rgb(255 255 255 / 20%);
}
.select2-container--default .select2-selection--multiple .select2-selection__clear {
    position: absolute;
    right: 15px;
    margin: 0;
    top: 8px;
}
.select2-container--default .select2-results__option--selected {
    background-color: transparent;
}
.select2-container--open .select2-dropdown--above .select2-results__option:first-child{
    border-radius: 8px 8px 0 0;
}
.select2-container--default .select2-selection--single .select2-selection__clear {
    display: none;
}

/* Datepicker */
.datepicker {
    width: 300px;
    border-color: var(--grayColor);
    border-radius: 8px;
    color: #888;
}
.datepicker--nav {
    padding: 8px;
    border-bottom-color: var(--grayColor);
}
.datepicker--day-name {
    color: var(--darkColor);
    font-weight: 600;
}
.datepicker--cell.-current- {
    color: var(--blueColor);
}
.datepicker--cell.-selected-, .datepicker--cell.-selected-.-current-,.datepicker--cell.-selected-:hover, .datepicker--cell.-selected-.-current-:hover {
    background-color: var(--blueColor);
    color: #fff;
}
.datepicker--nav-action:hover, .datepicker--nav-title:hover {
    background: transparent;
}
.datepicker--nav-title,.datepicker--nav-title>i {
    color: var(--darkColor);
    font-weight: 600;
}
.datepicker--nav-action svg path {
    stroke:var(--darkColor);
}
.datepicker--cell-day:hover{
    background-color: transparent;
    color: var(--blueColor);
}
.datepicker--cell.-in-range- {
    background: rgb(2 101 233 / 15%);
}
.datepicker--time-row input[type="range"]:focus::-webkit-slider-thumb {
    background: var(--blueColor);
    border-color: var(--blueColor);
}
.datepicker--time-row input[type="range"]:focus::-moz-range-thumb {
    background: var(--blueColor);
    border-color: var(--blueColor);
}
.datepicker--time-row input[type="range"]:focus::-ms-thumb {
    background: var(--blueColor);
    border-color: var(--blueColor);
}

/* tab */
/* style1 */
.ad_tab_wrapper .nav.nav-tabs {
    border: none;
}
.ad_tab_wrapper .nav.nav-tabs li a {
    background-color: var(--grayColor);
    color: var(--darkColor);
    height: 45px;
    display: inline-flex;
    align-items: center;
    font-weight: 600;
    padding: 0 20px;
    border-radius: 8px 8px 0 0;
    margin-right: 10px;
    position: relative;
    transition: var(--transition);
    -webkit-transition: var(--transition);
    -moz-transition: var(--transition);
    -ms-transition: var(--transition);
    -o-transition: var(--transition);
}
.ad_tab_wrapper .nav.nav-tabs li a.active,.ad_tab_wrapper .nav.nav-tabs li a:hover {
    background-color: var(--blueColor);
    color: #fff;
}
.tab-content {
    padding: 20px;
    border: 1px solid var(--grayColor);
    border-radius: 0 8px 8px 8px;
}
/* style 2 */
.style2.ad_tab_wrapper .nav.nav-tabs li a {
    border-radius: 45px;
}

.style2 .tab-content {
    padding: 18px 0 0;
    margin-top: 10px;
    border: none;
    border-top: 1px solid var(--grayColor);
}

.style2.ad_tab_wrapper .nav.nav-tabs li a.active:after {content: '';position: absolute;border-bottom: 5px solid var(--grayColor);border-left: 5px solid transparent;border-right: 5px solid transparent;bottom: -10px;left: 50%;transform: translateX(-50%);}

/* swal  */
.swal2-confirm.ad_btn.bg-red {
    margin-right: 10px;
}
.swal2-title {
    font-size: 24px !important;
    color: var(--darkColor) !important;
}
.swal2-close {
    font-size: 28px !important;
}

/* Accordian style1  */
.ad_accordian_box .card {
    border-radius: 8px !important;
    border: 1px solid var(--grayColor) !important;
    margin-bottom: 10px;
}
.card-header {
    padding: 20px 30px;
}
.card-body {
    padding: 30px;
}
.ad_accordian_box .card-header{
    background-color: transparent;
    color: var(--darkColor);
    border: none;
    padding: 0;
}

.ad_accordian_box .card-header button{
    color: inherit;
    background-color: var(--blueColor);
    text-decoration: none;
    font-weight: 600;
    padding: 10px 15px 12px;
    width: 100%;
    text-align: left;
    box-shadow: none;
    color: #fff;
    border-radius: 0px;
    transition: var(--transition);
    -webkit-transition: var(--transition);
    -moz-transition: var(--transition);
    -ms-transition: var(--transition);
    -o-transition: var(--transition);
}
.ad_accordian_box .card-header button.collapsed{
    background-color: #e7ebf1;
    color: var(--darkColor);
}
.ad_accordian_box .card-header button:hover{
    background-color: var(--blueColor);
    color: #fff;
}
.ad_accordian_box .card-header button.collapsed:before {
    content: '+';
    margin-right: 10px;
}

.ad_accordian_box .card-header button:before {content: '-';margin-right: 14px;font-weight: 600;font-size: 20px;}

/* accordian style2  */
.style2.ad_accordian_box .card {
    border: none !important;
    margin-bottom: 20px;
}
.style2.ad_accordian_box .card-header button.collapsed{
    color: var(--darkColor);
}
.style2.ad_accordian_box .card-header button,.style2.ad_accordian_box .card-header button:hover{
    padding: 0;
    color: var(--blueColor);
    background-color: transparent;
}


.style2.ad_accordian_box .card-body {
    padding: 15px 0 0 0;
    border-top: 1px solid var(--grayColor);
    margin-top:10px;
}

.style2.ad_accordian_box .card-header button:before {
    background-color: var(--blueColor);
    color: #fff;
    width: 20px;
    display: inline-block;
    height: 20px;
    border-radius: 100%;
    text-align: center;
    line-height: 20px;
    margin-right: 20px;
}
/* modal */
.ad_modal  .modal-header {
    background-color: var(--grayColor);
    border: none;
    border-radius: 15px 15px 0 0;
    padding: 17px 30px;
}

.ad_modal .modal-header h5 {
    color: var(--darkColor);
    font-weight: 700;
}
.ad_modal .modal-dialog {
    max-width: 700px;
}

.ad_modal .modal-content {
    border-radius: 15px;
    box-shadow: 0 20px 20px rgb(10 10 10 / 10%);
    border: none;
}

.ad_modal .modal-body {
    padding: 30px 30px 0;
}

.ad_modal .modal-footer {
    padding: 0 25px 28px;
    border: none;
}
.ad_modal .modal-header .close{
    outline: none;
}
/* progress bar */
.ad_progressBar {
    height: 5px;
    background-color: var(--grayColor);
    border-radius: 5px;
}
.ad_progressBar .ad_progress {
    position: relative;
    display: block;
    background-color: var(--blueColor);
    height: 100%;
    border-radius: 5px;
    transition: var(--transition);
    -webkit-transition: var(--transition);
    -moz-transition: var(--transition);
    -ms-transition: var(--transition);
    -o-transition: var(--transition);
}

.ad_progressTooltip {
    position: absolute;
    height: 16px;
    background-color: var(--blueColor);
    border-radius: 20px;
    right: -20px;
    color: #ffffff;
    font-size: 12px;
    width: 44px;
    text-align: center;
    margin-top: 10px;
    line-height: 16px;
}
.ad_progressTooltip:after {
    position: absolute;
    content: '';
    border-bottom: 4px solid var(--blueColor);
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    top: -4px;
    left: 18px;
}
.ad_sucess.ad_progressBar .ad_progress,.ad_sucess .ad_progressTooltip{
    background-color: #06d692;;
}
.ad_sucess .ad_progressTooltip:after{
    border-bottom-color:#06d692;
}
.logo_preview img {
    max-width: 130px;
    max-height: 60px;
}
/* responsive css */
@media (max-width:991px){
    .table-responsive{
        margin-bottom: 20px;
    }
}